<!DOCTYPE html>
<html lang="en-GB">
  <head>
    <meta charset="utf-8" />
    <style>
      body {
        background: #fafafa;
      }
    </style>
  </head>
  <body>
    <div id="demo"></div>

    <script type="module">
      import { html, render } from "lit-html";
      import "../my-converter.js";

      const title = "Hello owc World!";
      render(
        html`
          <h3>Converter</h3>
          <my-converter my-prop="my-prop" someprop="someprop"> </my-converter>
          <h3>Observed attribute</h3>
          <observed-attribute
            my-prop="my-prop"
            someprop="someprop"
          ></observed-attribute>

          <h3>Getters y setters</h3>
          <my-accessors></my-accessors>

          <h3>Has changed personalizado</h3>
          <custom-has-changed></custom-has-changed>
        `,
        document.querySelector("#demo")
      );
    </script>
  </body>
</html>
